#
# spec file for package ipod-sharp (Version 0.6.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel dbus-1-python desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gconf2 gconf2-devel gdbm gdbm-devel gecko-sharp2 gettext gettext-devel giflib glib-sharp2 glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk-sharp2 gtk-sharp2-gapi gtk2 gtk2-devel gzip hal hal-devel hal-gnome info insserv klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc41 libgcrypt libgcrypt-devel libgdiplus libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgtop libgtop-devel libidl libipoddevice libipoddevice-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtiff libtool libusb libvolume_id libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools mono-basic mono-core mono-data mono-data-sqlite mono-nunit mono-tools mono-web mono-winforms monodoc-core mozilla-nspr mozilla-nss mozilla-xulrunner181 ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-LibXML perl-XML-LibXML-Common perl-XML-NamespaceSupport perl-XML-SAX permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils python python-cairo python-gnome python-gobject2 python-gtk python-numeric python-orbit rcs readline resmgr rpm scsi sed shared-mime-info sqlite sqlite2 strace sysvinit tar tcpd texinfo timezone udev unzip update-alternatives update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           ipod-sharp
BuildRequires:  glib-sharp2 gnutls-devel gtk-sharp2 gtk-sharp2-gapi hal-gnome libglade2-devel libgnomeprintui-devel libgnomeui-devel libipoddevice-devel libwnck-devel mDNSResponder-devel mono-basic mono-data-sqlite mono-tools update-desktop-files
URL:            http://www.snorp.net/log/?page_id=53
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Version:        0.6.2
Release:        33
Summary:        Library for Interacting with Apple iPod Devices
Source:         %{name}-%{version}.tar.gz
Patch0:         itunes-7.1.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libipoddevice mono-core gtk-sharp2 glib-sharp2

%description
ipod-sharp is a library that allows manipulation of the iTunesDB used
in Apple iPod devices.  Currently it supports adding and removing
songs and manipulating existing play lists.



Authors:
--------
    James Willcox  <snorp@snorp.net>

%debug_package
%prep
%setup -q
%patch0

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure	--prefix=/usr		\
		--libdir=%{_libdir}	\
		--mandir=%{_mandir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_prefix}/lib/ipod-sharp
%{_prefix}/lib/monodoc/sources/ipod-sharp-docs.source
%{_prefix}/lib/monodoc/sources/ipod-sharp-docs.tree
%{_prefix}/lib/monodoc/sources/ipod-sharp-docs.zip
%{_libdir}/pkgconfig/ipod-sharp.pc
%{_libdir}/pkgconfig/ipod-sharp-ui.pc

%changelog
* Fri Mar 23 2007 - abockover@suse.de
- Patch to enable databases touched by iTunes 7.1 to be read
- Required for Banshee 0.12.0 update to allow full iPod detection
- MaintenanceTracker-8619, BNC #215301
* Fri Sep 29 2006 - gekker@suse.de
- Update to version 0.6.2
  Bug Fixes
  Use new libipoddevice format API
  Code cleanup
* Mon Feb 13 2006 - gekker@suse.de
- Set ipod file patch properly, prevents db corruption
* Mon Feb 13 2006 - gekker@suse.de
- Update to version 0.5.15
- Fix to handle future versions of itunes db
- Don't copy songs that already exist on ipod
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - gekker@suse.de
- Fixup nfb and Requires for new gtk-sharp2 packaging
* Wed Dec 07 2005 - gekker@suse.de
- Update to version 0.5.12
* Thu Nov 10 2005 - jpr@suse.de
- Update to version 0.5.10
* Fri Nov 04 2005 - gekker@suse.de
- Update to version 0.5.9
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed Sep 28 2005 - gekker@suse.de
- Update to version 0.5.5
- Add support for the nano
* Fri Sep 09 2005 - gekker@suse.de
- Update to version 0.5.4 for banshee update
- Fix support for the shuffle
* Fri Sep 02 2005 - jpr@suse.de
- Update to 0.5.3 for banshee update
* Mon Aug 29 2005 - gekker@suse.de
- Update to version 0.5.1 for banshee update
* Fri Aug 26 2005 - ro@suse.de
- nfb: monodoc -> monodoc-core
* Tue Aug 23 2005 - ro@suse.de
- added check-build.sh
* Mon Aug 22 2005 - gekker@suse.de
- Update to version 0.5.1 needed by banshee update
* Fri Aug 05 2005 - gekker@suse.de
- Add libipoddevice-devel to nfb
* Thu Aug 04 2005 - gekker@suse.de
- Initial import of package, version 0.4.9
